package org.manzerbredes.open_klm.client;

import java.awt.EventQueue;
import java.awt.GridLayout;
import java.awt.Label;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BoxLayout;
import javax.swing.JButton;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JPanel;

import org.manzerbredes.open_klm.drivers.*;
import org.manzerbredes.open_klm.drivers.DriverTypeA.*;


public class MainWindow extends JFrame {
	

	
	private Class<?>[] availableGUI={
			GUITypeA.class
	};
	
	public MainWindow(Driver aDriver){
		// Configure MainWindow
		this.setTitle("Open KLM");
		this.setSize(700, 500);
        setLocationRelativeTo(null);
        setDefaultCloseOperation(EXIT_ON_CLOSE);
	
        
        for(int i=0;i<this.availableGUI.length;i++){
        	try {
				GUI gui=(GUI) availableGUI[i].newInstance();
				if(gui.getType().equals(aDriver.getType())){
					if(gui.initGUI(aDriver)){
						this.add((JPanel) gui);
					}
				}
				
			} catch (Exception e) {
				e.printStackTrace();
			}
        }
        
        
		this.setVisible(true);
	}

	
}